Bug 1222794 (znerol/php-stringprep) - Review Request: php-znerol-php-stringprep - Implementation of RFC 3454 Preparation of Internationalized Strings
Summary: Review Request: php-znerol-php-stringprep - Implementation of RFC 3454 Prepar...
Status: CLOSED ERRATA
Alias: znerol/php-stringprep
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Shawn Iwinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: Horde_Stringprep
TreeView+ depends on / blocked
 
Reported: 2015-05-19 07:48 UTC by Remi Collet
Modified: 2015-06-10 19:18 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-05-22 15:52:48 UTC
shawn: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
fedora-review.txt (6.62 KB, text/plain)
2015-05-21 19:41 UTC, Shawn Iwinski
no flags Details
phpcompatinfo.log (4.70 KB, text/plain)
2015-05-21 19:42 UTC, Shawn Iwinski
no flags Details

Description Remi Collet 2015-05-19 07:48:34 UTC
Spec URL: https://raw.githubusercontent.com/remicollet/remirepo/937149bb5de4fe6648f5cf74763cb2b2d1c9cb83/php/php-znerol-php-stringprep/php-znerol-php-stringprep.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-znerol-php-stringprep-0-0.1.20150519git804b0d5.remi.src.rpm
Description: 
Implementation of RFC 3454 Preparation of Internationalized Strings.

See: http://tools.ietf.org/html/rfc3454

Fedora Account System Username: remi

-- 
Library unbundled from Horde_Stringprep

Comment 1 Shawn Iwinski 2015-05-21 19:41:59 UTC
Created attachment 1028383 [details]
fedora-review.txt

Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1222794
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, PHP, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 2 Shawn Iwinski 2015-05-21 19:42:38 UTC
Created attachment 1028384 [details]
phpcompatinfo.log

phpCompatInfo version 3.7.3

Comment 3 Shawn Iwinski 2015-05-21 19:45:00 UTC
[!]: Changelog in prescribed format.

     Note ending ".":
         * Tue May 19 2015 Remi Collet <remi@fedoraproject.org> - 0-0.1.20150519git804b0d5.



[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[!]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[!]: Buildroot is not present
     Note: Buildroot: present but not needed
[!]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required

As usual, remove EPEL 5 bits after initial import.



No blockers.

===== APPROVED =====

Comment 4 Remi Collet 2015-05-22 04:54:04 UTC
Thanks for the review

New Package SCM Request
=======================
Package Name: php-znerol-php-stringprep
Short Description: Implementation of RFC 3454 Preparation of Internationalized Strings
Upstream https://github.com/znerol/Stringprep/
Owners: remi
Branches: f20 f21 f22 el6 epel7
InitialCC:

Comment 5 Gwyn Ciesla 2015-05-22 12:49:38 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2015-05-22 14:22:46 UTC
php-znerol-php-stringprep-0-0.1.20150519git804b0d5.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/php-znerol-php-stringprep-0-0.1.20150519git804b0d5.fc21

Comment 7 Fedora Update System 2015-05-22 14:22:52 UTC
php-znerol-php-stringprep-0-0.1.20150519git804b0d5.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/php-znerol-php-stringprep-0-0.1.20150519git804b0d5.fc22

Comment 8 Fedora Update System 2015-05-22 14:24:03 UTC
php-znerol-php-stringprep-0-0.1.20150519git804b0d5.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/php-znerol-php-stringprep-0-0.1.20150519git804b0d5.el7

Comment 9 Fedora Update System 2015-05-22 14:25:14 UTC
php-znerol-php-stringprep-0-0.1.20150519git804b0d5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/php-znerol-php-stringprep-0-0.1.20150519git804b0d5.fc20

Comment 10 Fedora Update System 2015-05-22 14:25:21 UTC
php-znerol-php-stringprep-0-0.1.20150519git804b0d5.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-znerol-php-stringprep-0-0.1.20150519git804b0d5.el6

Comment 11 Fedora Update System 2015-06-04 20:12:43 UTC
php-znerol-php-stringprep-0-0.1.20150519git804b0d5.fc21 has been pushed to the Fedora 21 stable repository.

Comment 12 Fedora Update System 2015-06-04 20:18:44 UTC
php-znerol-php-stringprep-0-0.1.20150519git804b0d5.fc20 has been pushed to the Fedora 20 stable repository.

Comment 13 Fedora Update System 2015-06-04 20:19:00 UTC
php-znerol-php-stringprep-0-0.1.20150519git804b0d5.fc22 has been pushed to the Fedora 22 stable repository.

Comment 14 Fedora Update System 2015-06-10 19:15:39 UTC
php-znerol-php-stringprep-0-0.1.20150519git804b0d5.el7 has been pushed to the Fedora EPEL 7 stable repository.

Comment 15 Fedora Update System 2015-06-10 19:18:01 UTC
php-znerol-php-stringprep-0-0.1.20150519git804b0d5.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.